Bug 971817 - Incorrectly labeled files after system installation
Incorrectly labeled files after system installation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 06:35 EDT by Michal Trunecka
Modified: 2014-09-30 19:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:18:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-06-07 06:35:21 EDT
Description of problem:
Here is output from restorecon being run right after system installation. After performing full rpm install, no additional context were corrected.

restorecon reset /etc/modprobe.d/anaconda.conf context system_u:object_r:file_t:s0->system_u:object_r:etc_t:s0
restorecon reset /etc/inittab context system_u:object_r:etc_runtime_t:s0->system_u:object_r:etc_t:s0
restorecon reset /etc/sysconfig/firstboot context system_u:object_r:etc_t:s0->system_u:object_r:etc_runtime_t:s0
restorecon reset /etc/sysconfig/mkinitrd/multipath context system_u:object_r:file_t:s0->system_u:object_r:etc_t:s0
restorecon reset /dev/hda context system_u:object_r:removable_device_t:s0->system_u:object_r:fixed_disk_device_t:s0
restorecon reset /dev/MAKEDEV context system_u:object_r:udev_tbl_t:s0->system_u:object_r:device_t:s0
restorecon reset /dev/core context system_u:object_r:udev_tbl_t:s0->system_u:object_r:device_t:s0
restorecon reset /dev/stderr context system_u:object_r:udev_tbl_t:s0->system_u:object_r:device_t:s0
restorecon reset /dev/stdout context system_u:object_r:udev_tbl_t:s0->system_u:object_r:device_t:s0
restorecon reset /dev/stdin context system_u:object_r:udev_tbl_t:s0->system_u:object_r:device_t:s0
restorecon reset /dev/fd context system_u:object_r:udev_tbl_t:s0->system_u:object_r:device_t:s0
restorecon reset /dev/shm context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
restorecon reset /opt/lost+found context system_u:object_r:file_t:s0->system_u:object_r:usr_t:s0
restorecon reset /root/RECIPE.TXT context system_u:object_r:user_home_dir_t:s0->root:object_r:user_home_t:s0
restorecon reset /root/NETBOOT_METHOD.TXT context system_u:object_r:user_home_dir_t:s0->root:object_r:user_home_t:s0
restorecon reset /net context system_u:object_r:autofs_t:s0->system_u:object_r:mnt_t:s0
restorecon reset /misc context system_u:object_r:autofs_t:s0->system_u:object_r:mnt_t:s0
restorecon reset /var/log/yum.log context system_u:object_r:var_log_t:s0->system_u:object_r:rpm_log_t:s0
restorecon reset /boot/lost+found context system_u:object_r:file_t:s0->system_u:object_r:lost_found_t:s0
restorecon reset /lost+found context system_u:object_r:file_t:s0->system_u:object_r:lost_found_t:s0

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-342.el5.noarch

How reproducible:
always

Steps to Reproduce:
1. Install RHEL5
2. run restorecon
Comment 1 RHEL Product and Program Management 2013-06-07 06:38:30 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Miroslav Grepl 2013-06-10 03:36:16 EDT
Is there a specific kickstart? Or is it a default installation?
Comment 8 RHEL Product and Program Management 2013-07-24 00:06:41 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.